Package org.apache.cayenne.conn

## Class DataSourceInfo

- java.lang.Object
- - org.apache.cayenne.conn.DataSourceInfo

- All Implemented Interfaces:
    `Serializable`, `Cloneable`, `XMLSerializable`

      public class DataSourceInfo
      extends Object
      implements Cloneable, Serializable, XMLSerializable

  Helper JavaBean class that holds DataSource login information.
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `protected String` | `adapterClassName` |
    `protected String` | `dataSourceUrl` |
    `protected String` | `jdbcDriver` |
    `protected int` | `maxConnections` |
    `protected int` | `minConnections` |
    `protected String` | `password` |
    `static String` | `PASSWORD_LOCATION_CLASSPATH` |
    `static String` | `PASSWORD_LOCATION_EXECUTABLE` |
    `static String` | `PASSWORD_LOCATION_MODEL` |
    `static String` | `PASSWORD_LOCATION_URL` |
    `protected String` | `passwordEncoderClass` |
    `protected String` | `passwordEncoderKey` |
    `protected String` | `passwordLocation` |
    `protected String` | `passwordSourceExecutable` |
    `protected String` | `passwordSourceFilename` |
    `protected String` | `passwordSourceModel` |
    `protected String` | `passwordSourceUrl` |
    `protected String` | `userName` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `DataSourceInfo()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `DataSourceInfo` | `cloneInfo()` |
    `void` | `encodeAsXML​(XMLEncoder encoder, ConfigurationNodeVisitor delegate)` | Prints itself as XML to the provided XMLEncoder.
    `boolean` | `equals​(Object obj)` |
    `String` | `getAdapterClassName()` |
    `String` | `getDataSourceUrl()` |
    `String` | `getJdbcDriver()` |
    `int` | `getMaxConnections()` |
    `int` | `getMinConnections()` |
    `String` | `getPassword()` |
    `PasswordEncoding` | `getPasswordEncoder()` | Deprecated. since 4.0 as class loading should not happen here.
    `String` | `getPasswordEncoderClass()` |
    `String` | `getPasswordEncoderKey()` |
    `String` | `getPasswordLocation()` |
    `String` | `getPasswordSource()` |
    `String` | `getPasswordSourceExecutable()` |
    `String` | `getPasswordSourceFilename()` |
    `String` | `getPasswordSourceModel()` |
    `String` | `getPasswordSourceUrl()` |
    `String` | `getUserName()` |
    `int` | `hashCode()` |
    `void` | `setAdapterClassName​(String adapterClassName)` |
    `void` | `setDataSourceUrl​(String dataSourceUrl)` |
    `void` | `setJdbcDriver​(String jdbcDriver)` |
    `void` | `setMaxConnections​(int maxConnections)` |
    `void` | `setMinConnections​(int minConnections)` |
    `void` | `setPassword​(String password)` |
    `void` | `setPasswordEncoderClass​(String passwordEncoderClass)` |
    `void` | `setPasswordEncoderKey​(String passwordEncoderKey)` |
    `void` | `setPasswordLocation​(String passwordLocation)` |
    `void` | `setPasswordSource​(String passwordSource)` |
    `void` | `setPasswordSourceExecutable​(String passwordSourceExecutable)` |
    `void` | `setPasswordSourceFilename​(String passwordSourceFilename)` |
    `void` | `setPasswordSourceUrl​(String passwordSourceUrl)` |
    `void` | `setUserName​(String userName)` |
    `String` | `toString()` |

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### PASSWORD_LOCATION_CLASSPATH

          public static final String PASSWORD_LOCATION_CLASSPATH

      See Also:
        Constant Field Values

    - #### PASSWORD_LOCATION_EXECUTABLE

          public static final String PASSWORD_LOCATION_EXECUTABLE

      See Also:
        Constant Field Values

    - #### PASSWORD_LOCATION_MODEL

          public static final String PASSWORD_LOCATION_MODEL

      See Also:
        Constant Field Values

    - #### PASSWORD_LOCATION_URL

          public static final String PASSWORD_LOCATION_URL

      See Also:
        Constant Field Values

    - #### userName

          protected String userName

    - #### password

          protected String password

    - #### jdbcDriver

          protected String jdbcDriver

    - #### dataSourceUrl

          protected String dataSourceUrl

    - #### adapterClassName

          protected String adapterClassName

    - #### minConnections

          protected int minConnections

    - #### maxConnections

          protected int maxConnections

    - #### passwordEncoderClass

          protected String passwordEncoderClass

    - #### passwordEncoderKey

          protected String passwordEncoderKey

    - #### passwordLocation

          protected String passwordLocation

    - #### passwordSourceExecutable

          protected String passwordSourceExecutable

    - #### passwordSourceFilename

          protected String passwordSourceFilename

    - #### passwordSourceModel

          protected final String passwordSourceModel

      See Also:
        Constant Field Values

    - #### passwordSourceUrl

          protected String passwordSourceUrl

  - ### Constructor Detail

    - #### DataSourceInfo

          public DataSourceInfo()

  - ### Method Detail

    - #### equals

          public boolean equals​(Object obj)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### encodeAsXML

          public void encodeAsXML​(XMLEncoder encoder,
                                  ConfigurationNodeVisitor delegate)

      Description copied from interface: `XMLSerializable`
      Prints itself as XML to the provided XMLEncoder.
      Specified by:
        `encodeAsXML` in interface `XMLSerializable`
      Since:
        3.1

    - #### cloneInfo

          public DataSourceInfo cloneInfo()

    - #### getAdapterClassName

          public String getAdapterClassName()

    - #### setAdapterClassName

          public void setAdapterClassName​(String adapterClassName)

    - #### setMinConnections

          public void setMinConnections​(int minConnections)

    - #### getMinConnections

          public int getMinConnections()

    - #### setMaxConnections

          public void setMaxConnections​(int maxConnections)

    - #### getMaxConnections

          public int getMaxConnections()

    - #### setUserName

          public void setUserName​(String userName)

    - #### getUserName

          public String getUserName()

    - #### setPassword

          public void setPassword​(String password)

    - #### getPassword

          public String getPassword()

    - #### setJdbcDriver

          public void setJdbcDriver​(String jdbcDriver)

    - #### getJdbcDriver

          public String getJdbcDriver()

    - #### setDataSourceUrl

          public void setDataSourceUrl​(String dataSourceUrl)

    - #### getDataSourceUrl

          public String getDataSourceUrl()

    - #### getPasswordEncoder

          @Deprecated
          public PasswordEncoding getPasswordEncoder()

      Deprecated.
      since 4.0 as class loading should not happen here.

    - #### getPasswordEncoderClass

          public String getPasswordEncoderClass()

      Returns:
        the passwordEncoderClass

    - #### setPasswordEncoderClass

          public void setPasswordEncoderClass​(String passwordEncoderClass)

      Parameters:
        `passwordEncoderClass` - the passwordEncoderClass to set

    - #### getPasswordEncoderKey

          public String getPasswordEncoderKey()

      Returns:
        the passwordEncoderKey

    - #### setPasswordEncoderKey

          public void setPasswordEncoderKey​(String passwordEncoderKey)

      Parameters:
        `passwordEncoderKey` - the passwordEncoderKey to set

    - #### getPasswordSourceFilename

          public String getPasswordSourceFilename()

      Returns:
        the passwordLocationFilename

    - #### setPasswordSourceFilename

          public void setPasswordSourceFilename​(String passwordSourceFilename)

      Parameters:
        `passwordSourceFilename` - the passwordSourceFilename to set

    - #### getPasswordSourceModel

          public String getPasswordSourceModel()

      Returns:
        the passwordLocationModel

    - #### getPasswordSourceUrl

          public String getPasswordSourceUrl()

      Returns:
        the passwordLocationUrl

    - #### setPasswordSourceUrl

          public void setPasswordSourceUrl​(String passwordSourceUrl)

      Parameters:
        `passwordSourceUrl` - the passwordSourceUrl to set

    - #### getPasswordSourceExecutable

          public String getPasswordSourceExecutable()

      Returns:
        the passwordLocationExecutable

    - #### setPasswordSourceExecutable

          public void setPasswordSourceExecutable​(String passwordSourceExecutable)

      Parameters:
        `passwordSourceExecutable` - the passwordSourceExecutable to set

    - #### getPasswordSource

          public String getPasswordSource()

    - #### setPasswordSource

          public void setPasswordSource​(String passwordSource)

    - #### getPasswordLocation

          public String getPasswordLocation()

      Returns:
        the passwordLocation

    - #### setPasswordLocation

          public void setPasswordLocation​(String passwordLocation)

      Parameters:
        `passwordLocation` - the passwordLocation to set

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`